be.fgov.ehealth.technicalconnector.signature.impl.xades

## Interface XadesSpecification

- All Known Implementing Classes:
    XadesBesSpecification, XadesCSpecification, XadesSpecification, XadesTSpecification

      public interface XadesSpecification

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `XMLNS_XADES_1_3_2`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addOptionalAfterSignatureParts(UnsignedPropertiesBuilder unsignedProps, org.apache.xml.security.signature.XMLSignature sig, String uuid, Map<String,Object> options)`
    `void` | `addOptionalBeforeSignatureParts(SignedPropertiesBuilder signedProps, org.apache.xml.security.signature.XMLSignature sig, Credential signing, String uuid, Map<String,Object> options)`
    `void` | `verify(SignatureVerificationResult result, Element sigElement)`

- - ### Field Detail

    - #### XMLNS_XADES_1_3_2

          static final String XMLNS_XADES_1_3_2

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### addOptionalBeforeSignatureParts

          void addOptionalBeforeSignatureParts(SignedPropertiesBuilder signedProps,
                                               org.apache.xml.security.signature.XMLSignature sig,
                                               Credential signing,
                                               String uuid,
                                               Map<String,Object> options)
                                        throws TechnicalConnectorException

      Throws:
        `TechnicalConnectorException`

    - #### addOptionalAfterSignatureParts

          void addOptionalAfterSignatureParts(UnsignedPropertiesBuilder unsignedProps,
                                              org.apache.xml.security.signature.XMLSignature sig,
                                              String uuid,
                                              Map<String,Object> options)
                                       throws TechnicalConnectorException

      Throws:
        `TechnicalConnectorException`

    - #### verify

          void verify(SignatureVerificationResult result,
                      Element sigElement)

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.2.0 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.